from fastapi import APIRouter, Depends, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.soap import SoapCreate, SoapSchema
from helpers.soap_helpers import create_soap

router = APIRouter()

@router.post("/create-soap", status_code=status.HTTP_201_CREATED, response_model=SoapSchema)
async def add_color_to_soap(
    soap_data: SoapCreate,
    db: Session = Depends(get_db)
):
    new_soap = create_soap(db=db, soap_data=soap_data)
    return new_soap